package be.iminds.ilabt.jfed.rspec.rspec_source;

import be.iminds.ilabt.jfed.rspec.model.ModelRspec;
import be.iminds.ilabt.jfed.rspec.model.ModelRspecType;
import be.iminds.ilabt.jfed.rspec.model.StringRspec;
import org.slf4j.LoggerFactory;

import javax.annotation.Nonnull;

/**
 * AdvertisementRspecSource
 */
public class AdvertisementRspecSource extends RspecSource {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(AdvertisementRspecSource.class);

    public AdvertisementRspecSource(@Nonnull AdvertisementRspecSource orig) {
        super(orig);
    }
    public AdvertisementRspecSource(@Nonnull StringRspec stringRspec) {
        super(stringRspec);
    }

    public AdvertisementRspecSource(@Nonnull ModelRspec modelRspec) {
        super(modelRspec);
    }

    /** Determines automatically to use raw XML, or ModelRspec */
    public AdvertisementRspecSource(@Nonnull String xmlRspecString, @Nonnull ModelRspecType modelRspecType) {
        super(xmlRspecString, modelRspecType);
    }
}
